Create seller comment (Internal API)

This is a variant of POST /partner/api/sellers/comment — Create seller comment; the request and responses below are the ones documented for Internal API.

Credentials

No credentials are documented for this endpoint.

Add a comment to a seller's record with a specific category.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
sellerId string no Seller UUID
sellerEmail string no Seller email
sellerSocialId integer no Seller Israeli ID number
commentCategory string yes Comment category
commentText string yes Comment text

Request example

{
  "sellerEmail": "seller@example.com",
  "commentCategory": "general",
  "commentText": "Customer requested plan upgrade consultation"
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/comment' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "sellerEmail": "seller@example.com",
  "commentCategory": "general",
  "commentText": "Customer requested plan upgrade consultation"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/comment", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "sellerEmail": "seller@example.com",
    "commentCategory": "general",
    "commentText": "Customer requested plan upgrade consultation"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/comment",
    json={
        "sellerEmail": "seller@example.com",
        "commentCategory": "general",
        "commentText": "Customer requested plan upgrade consultation",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "sellerEmail": "seller@example.com",
  "commentCategory": "general",
  "commentText": "Customer requested plan upgrade consultation"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/comment');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

201 — Comment created successfully (success)

Field Type Description
id string
commentCategory string
commentText string
createdAt string

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}